## ros-message-runtime 0.4.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(message_runtime)

find_package(catkin REQUIRED)

catkin_package(CATKIN_DEPENDS cpp_common roscpp_serialization roscpp_traits rostime)

=== debian/changelog ===
ros-message-runtime (0.4.12-6) unstable; urgency=medium

  * Add MA hint

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jun 2018 20:47:44 +0200

ros-message-runtime (0.4.12-5) unstable; urgency=medium

  * Move pkgconfig to share

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 19:10:32 +0200

ros-message-runtime (0.4.12-4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Update watch file
  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https

  [ Helmut Grohne ]
  * Turn ros-message-runtime Architecture: any. (Closes: #901696)

  [ Jochen Sprickerhof ]
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 23:53:45 +0200

ros-message-runtime (0.4.12-3) unstable; urgency=medium

  * Correct replaced versions, Closes: #807014.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 04 Dec 2015 09:51:07 +0100

ros-message-runtime (0.4.12-2) unstable; urgency=medium

  [ Wookey ]
  * remove boilerplate from rules file

  [ Jochen Sprickerhof ]
  * Convert to new catkin with multiarch
  * Rename package to ros-message-runtime

  [ Leopold Palomo-Avellaneda ]
  * Added Replaces field to avoid collision with the older name

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 25 Nov 2015 16:17:07 +0100

ros-message-runtime (0.4.12-1) unstable; urgency=medium

  * Initial release (Closes: #804028).

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 15 Nov 2015 00:17:29 +0000

=== debian/control ===
Source: ros-message-runtime
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 11), catkin
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/message_runtime
Vcs-Browser: https://salsa.debian.org/science-team/ros-message-runtime
Vcs-Git: https://salsa.debian.org/science-team/ros-message-runtime.git

Package: ros-message-runtime
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libroscpp-core-dev
Description: Generates runtime messaging dependencies for Robot OS package
 This package is part of Robot OS (ROS). It contains cmake macros to
 generate runtime dependencies for the messages ROS packages use.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-message-runtime-$1.tar.gz%" \
    https://github.com/ros/message_runtime/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-message-runtime 0.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(message_runtime)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-message-runtime (0.4.13-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 12:59:02 +0200

ros-message-runtime (0.4.13-5) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 11:41:01 +0100

ros-message-runtime (0.4.13-4) unstable; urgency=medium

  * Drop arch path from d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 12:06:36 +0200

ros-message-runtime (0.4.13-3) unstable; urgency=medium

  * Revert "Make package arch all"
  * Don't fail in arch builds

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 10:58:06 +0200

ros-message-runtime (0.4.13-2) unstable; urgency=medium

  * Make package arch all

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 10:43:45 +0200

ros-message-runtime (0.4.13-1) unstable; urgency=medium

  * add Salsa CI
  * simplify d/watch
  * New upstream version 0.4.13
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 09:30:43 +0200

=== debian/control ===
Source: ros-message-runtime
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: devel
Priority: optional
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/message_runtime
Vcs-Browser: https://salsa.debian.org/science-team/ros-message-runtime
Vcs-Git: https://salsa.debian.org/science-team/ros-message-runtime.git

Package: ros-message-runtime
Architecture: any
Multi-Arch: same
Depends:
 libroscpp-core-dev,
 ${misc:Depends},
Description: Generates runtime messaging dependencies for Robot OS package
 This package is part of Robot OS (ROS). It contains cmake macros to
 generate runtime dependencies for the messages ROS packages use.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-message-runtime-$1.tar.gz%" \
    https://github.com/ros/message_runtime/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
